#
# spec file for package mozilla-xulrunner192
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#               2006-2012 Wolfgang Rosenauer
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           mozilla-xulrunner192
BuildRequires:  autoconf213
BuildRequires:  dbus-1-glib-devel
BuildRequires:  gcc-c++
BuildRequires:  libcurl-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libidl-devel
BuildRequires:  libnotify-devel
BuildRequires:  pkg-config
BuildRequires:  python
BuildRequires:  startup-notification-devel
BuildRequires:  zip
# needed for brp-check-bytecode-version (jar, fastjar would do as well)
BuildRequires:  unzip
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
%if %suse_version > 1030
BuildRequires:  hunspell-devel
%endif
%if %suse_version > 1100
BuildRequires:  nss-shared-helper-devel
%endif
%if %suse_version > 1110
BuildRequires:  libiw-devel
BuildRequires:  libproxy-devel
%else
BuildRequires:  wireless-tools
%endif
Version:        1.9.2.28
Release:        2.6
%define         releasedate 2012030600
%define         version_internal 1.9.2.28
%define         apiversion 1.9.2
%define         uaweight 192280
Summary:        Mozilla Runtime Environment 1.9.2
License:        MPL-1.1 or GPL-2.0+ or LGPL-2.1+
Group:          Productivity/Other
Url:            http://www.mozilla.org
Provides:       gecko192
%if %suse_version >= 1110
# this is needed to match this package with the kde4 helper package without the main package
# having a hard requirement on the kde4 package
%define kde_helper_version 6
Provides:       mozilla-kde4-version = %{kde_helper_version}
%endif
%ifarch %ix86
Provides:       mozilla-xulrunner192-32bit = %{version}-%{release}
%endif
Source:         xulrunner-source-%{version}.tar.bz2
Source1:        l10n-%{version}.tar.bz2
Source2:        find-external-requires.sh
Source3:        %{name}-rpmlintrc
Source4:        xulrunner-openSUSE-prefs.js
Source5:        add-plugins.sh.in
Source6:        create-tar.sh
Source7:        baselibs.conf
Source8:        toolkit-lockdown.js
Patch1:         toolkit-download-folder.patch
Patch2:         mozilla-libproxy.patch
Patch3:         mozilla-pkgconfig.patch
Patch4:         idldir.patch
Patch5:         mozilla-nongnome-proxies.patch
Patch6:         mozilla-dump_syms-static.patch
Patch7:         mozilla-prefer_plugin_pref.patch
Patch8:         mozilla-shared-nss-db.patch
Patch10:        mozilla-kde.patch
# PATCH-FEATURE-SLED FATE#302023, FATE#302024
Patch11:        mozilla-gconf-backend.patch
Patch12:        gecko-lockdown.patch
Patch13:        toolkit-ui-lockdown.patch
# ---
Patch14:        mozilla-cairo-lcd.patch
Patch15:        mozilla-ua-locale-pref.patch
Patch16:        mozilla-locale.patch
Patch17:        mozilla-gdk-pixbuf.patch
Patch18:        mozilla-prlog.patch
Patch19:        mozilla-ntlm-full-path.patch
Patch20:        mozilla-gcc46.patch
Patch21:        mozilla-implicit-declarations.patch
Patch22:        mozilla-curl.patch
Patch23:        mozilla-linux3.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       mozilla-js192 = %{version}
Requires(post):  update-alternatives coreutils
Requires(preun): update-alternatives coreutils
### build configuration ###
%define has_system_nspr  0
%define has_system_nss   0
%define has_system_cairo 0
%define localize 1
%if %suse_version > 1030 || 0%{?opensuse_bs}
%define has_system_nspr  1
%define has_system_nss   1
%endif
%ifarch ppc ppc64 s390 s390x ia64
%define crashreporter    0
%define plugincontainer  0
%else
%define crashreporter    1
%define plugincontainer  1
%endif
### configuration end ###
%define _use_internal_dependency_generator 0
%define __find_requires sh %{SOURCE2}
%global provfind sh -c "grep -v 'libsqlite3.so' | %__find_provides"
%global __find_provides %provfind
%if %has_system_nspr
BuildRequires:  mozilla-nspr-devel
Requires:       mozilla-nspr >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr)
%endif
%if %has_system_nss
BuildRequires:  mozilla-nss-devel >= 3.12.8
Requires:       mozilla-nss >= %(rpm -q --queryformat '%{VERSION}' mozilla-nss)
%endif
Recommends:     %{name}-gnome

%description
XULRunner is a single installable package that can be used to bootstrap
multiple XUL+XPCOM applications that are as rich as Firefox and
Thunderbird.


%package -n mozilla-js192
Summary:        Mozilla JS 1.8 engine
Group:          Productivity/Other

%description -n mozilla-js192
JavaScript is the Netscape-developed object scripting language used in millions
of web pages and server applications worldwide. Netscape's JavaScript is a
superset of the ECMA-262 Edition 3 (ECMAScript) standard scripting language,
with only mild differences from the published standard.


%package devel
Summary:        XULRunner/Gecko SDK 1.9.2
Group:          Development/Libraries/Other
%if %has_system_nspr
Requires:       mozilla-nspr-devel >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr-devel)
%endif
%if %has_system_nss
Requires:       mozilla-nss-devel >= %(rpm -q --queryformat '%{VERSION}' mozilla-nss-devel)
%endif
Requires:       %{name} = %{version}

%description devel
Software Development Kit to embed XUL or Gecko into other applications.

%if %localize

%package translations-common
Summary:        Common translations for XULRunner 1.9.2
Group:          System/Localization
Requires:       %{name} = %{version}
Provides:       locale(%{name}:ar;ca;cs;da;de;en_GB;es_AR;es_CL;es_ES;fi;fr;hu;it;ja;ko;nb_NO;nl;pl;pt_BR;pt_PT;ru;sv_SE;zh_CN;zh_TW)
Obsoletes:      %{name}-translations < %{version}-%{release}

%description translations-common
XULRunner is a single installable package that can be used to bootstrap
multiple XUL+XPCOM applications that are as rich as Firefox and
Thunderbird.

This package contains the most common languages but en-US which is
delivered in the main package.


%package translations-other
Summary:        Extra translations for XULRunner 1.9.2
Group:          System/Localization
Requires:       %{name} = %{version}
Provides:       locale(%{name}:af;as;be;bg;bn_BD;bn_IN;cy;el;eo;es_MX;et;eu;fa;fy_NL;ga_IE;gl;gu_IN;he;hi_IN;hr;id;is;ka;kk;kn;ku;lt;lv;mk;ml;mr;nn_NO;oc;or;pa_IN;rm;ro;si;sk;sl;sq;sr;ta;ta_LK;te;th;tr;uk;vi)
Obsoletes:      %{name}-translations < %{version}-%{release}

%description translations-other
XULRunner is a single installable package that can be used to bootstrap
multiple XUL+XPCOM applications that are as rich as Firefox and
Thunderbird.

This package contains rarely used languages.
%endif

%package gnome
Summary:        XULRunner components depending on gnome-vfs
Group:          Productivity/Other
Requires:       %{name} = %{version}-%{release}
Requires(post): coreutils

%description gnome
This subpackage contains the Necko Gnome-VFS and Gnome components which
rely on the gnome-vfs subsystem to be installed. They are recommended
for full desktop integration but not mandatory for small disk footprint
KDE installations for example.


%if %crashreporter

%package buildsymbols
Summary:        Breakpad buildsymbols for %{name}
Group:          Development/Tools/Other

%description buildsymbols
This subpackage contains the Breakpad created and compatible debugging
symbols meant for upload to Mozilla's crash collector database.
%endif

%prep
%setup -n mozilla -q -b 1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%if %suse_version >= 1110
%patch10 -p1
%endif
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
# bmo#542999
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1

%build
%if %suse_version >= 1110
kdehelperversion=$(cat toolkit/xre/nsKDEUtils.cpp | grep '#define KMOZILLAHELPER_VERSION' | cut -d ' ' -f 3)
if test "$kdehelperversion" != %{kde_helper_version}; then
  echo fix kde helper version in the .spec file
  exit 1
fi
%endif
MOZ_APP_DIR=%{_libdir}/xulrunner-%{version_internal}
export MOZ_BUILD_DATE=%{releasedate}
export CFLAGS="$RPM_OPT_FLAGS -Os -fno-strict-aliasing"
%ifarch ppc64
export CFLAGS="$CFLAGS -mminimal-toc"
%endif
# 10.3-x86_64 build fails probably because gcc bug
%if %suse_version == 1030
%ifarch x86_64
export ac_cv_visibility_hidden="no"
%endif
%endif
export CXXFLAGS="$CFLAGS"
export LDFLAGS="-Wl,-rpath -Wl,${MOZ_APP_DIR}"
export MOZCONFIG=$RPM_BUILD_DIR/mozconfig
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export MOZ_MILESTONE_RELEASE=1
#
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MILESTONE_RELEASE=1
mk_add_options MOZ_MAKE_FLAGS=%{?jobs:-j%jobs}
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../obj
. \$topsrcdir/xulrunner/config/mozconfig
ac_add_options --prefix=%{_prefix}
ac_add_options --libdir=%{_libdir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --mandir=%{_mandir}
ac_add_options --includedir=%{_includedir}
ac_add_options --enable-optimize
ac_add_options --enable-extensions=default
ac_add_options --with-system-jpeg
#ac_add_options --with-system-png # no APNG support
ac_add_options --with-system-zlib
ac_add_options --with-l10n-base=../l10n
ac_add_options --disable-tests
ac_add_options --disable-mochitest
ac_add_options --disable-installer
ac_add_options --disable-updater
ac_add_options --disable-javaxpcom
ac_add_options --enable-startup-notification
ac_add_options --enable-url-classifier
#ac_add_options --enable-debug
EOF
%if %has_system_nspr
cat << EOF >> $MOZCONFIG
ac_add_options --with-system-nspr
EOF
%endif
%if %has_system_nss
cat << EOF >> $MOZCONFIG
ac_add_options --with-system-nss
EOF
%endif
%if %has_system_cairo
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-cairo
EOF
%endif
%if %suse_version > 1030
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-hunspell
EOF
%endif
#%if %suse_version > 1100
#cat << EOF >> $MOZCONFIG
#ac_add_options --enable-system-sqlite
#EOF
#%endif
%if %suse_version > 1110
cat << EOF >> $MOZCONFIG
ac_add_options --enable-libproxy
EOF
%endif
%if ! %crashreporter
cat << EOF >> $MOZCONFIG
ac_add_options --disable-crashreporter
EOF
%endif
%if ! %plugincontainer
cat << EOF >> $MOZCONFIG
# Chromium IPC is not ported to Power,S/390 and Itanium (currently just x86,x86_64 and arm)
ac_add_options --disable-ipc
EOF
%endif
make -f client.mk build

%install
cd ../obj
%makeinstall STRIP=/bin/true
# remove some executable permissions
find $RPM_BUILD_ROOT%{_includedir}/xulrunner-%{version_internal} \
     -type f -perm -111 -exec chmod a-x {} \;
find $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/ \
     -name "*.js" -o -name "*.xpm" -o -name "*.png" | xargs chmod a-x
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/extensions
# fixing SDK dynamic libs (symlink instead of copy)
rm $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/*.so
ln -sf ../../../xulrunner-%{version_internal}/libmozjs.so \
       $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/
ln -sf ../../../xulrunner-%{version_internal}/libxpcom.so \
       $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/
ln -sf ../../../xulrunner-%{version_internal}/libxul.so \
       $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/
# include basic buildenv for xulapps to use
mkdir -p $RPM_BUILD_ROOT%{_datadir}/xulrunner-%{version_internal}
pushd ..
# this list has been compiled by trial and error for prism
tar --exclude=*.cpp --exclude=*.mm \
   -cvjf $RPM_BUILD_ROOT%{_datadir}/xulrunner-%{version_internal}/mozilla-src.tar.bz2 \
    mozilla/configure.in mozilla/Makefile.in mozilla/client.py mozilla/allmakefiles.sh \
    mozilla/config mozilla/client.mk mozilla/aclocal.m4 mozilla/build mozilla/js/src/* \
    mozilla/testing mozilla/toolkit/mozapps/installer mozilla/probes mozilla/memory \
    mozilla/toolkit/xre mozilla/nsprpub/config mozilla/tools mozilla/xpcom/build
popd
# XPI example
#cp -rL dist/xpi-stage/simple $RPM_BUILD_ROOT/%{_libdir}/xulrunner-%{version_internal}/
# preferences
cp %{SOURCE4} $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/greprefs/all-openSUSE.js
cp %{SOURCE8} $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/greprefs/lockdown.js
# install add-plugins.sh
sed "s:%%PROGDIR:%{_libdir}/xulrunner-%{version_internal}:g" \
  %{SOURCE5} > $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh
chmod 755 $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh
# 64bit classification for GRE config
%ifarch x86_64 s390x ppc64
mv $RPM_BUILD_ROOT%{_sysconfdir}/gre.d/%{version_internal}.system.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/gre.d/%{version_internal}-64bit.system.conf
%endif
# ghosts
touch $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/global.reginfo
# install additional locales
%if %localize
rm -f %{_tmppath}/translations.*
for locale in $(awk '{ print $1; }' ../mozilla/browser/locales/shipped-locales); do
  case $locale in
   ja-JP-mac|en-US)
      ;;
   *)
      make -C toolkit/locales libs-$locale
      cp dist/xpi-stage/locale-$locale/chrome/$locale.jar \
         $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/chrome
      cp dist/xpi-stage/locale-$locale/chrome/$locale.manifest \
         $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/chrome
      # check against the fixed common list and sort into the right filelist
      _matched=0
      for _match in ar ca cs da de en-GB es-AR es-CL es-ES fi fr hu it ja ko nb-NO nl pl pt-BR pt-PT ru sv-SE zh-CN zh-TW; do
        [ "$_match" = "$locale" ] && _matched=1
      done
      [ $_matched -eq 1 ] && _l10ntarget=common || _l10ntarget=other
      echo %{_libdir}/xulrunner-%{version_internal}/chrome/$locale.jar \
         >> %{_tmppath}/translations.$_l10ntarget
      echo %{_libdir}/xulrunner-%{version_internal}/chrome/$locale.manifest \
         >> %{_tmppath}/translations.$_l10ntarget
  esac
done
%endif
# API symlink
ln -sf xulrunner-%{version_internal} $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{apiversion}
# compat links
%if 0%{?ga_version:1}
touch $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{ga_version}
%endif
# excludes
%if %suse_version < 1120
rm -f $RPM_BUILD_ROOT%{_bindir}/xulrunner
%endif
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/updater
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/update.locale
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/LICENSE
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/README.txt
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/dictionaries/en-US*
# autoreg
touch $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/.autoreg
# fdupes
%if %suse_version > 1020
%fdupes $RPM_BUILD_ROOT%{_includedir}/xulrunner-%{version_internal}/
%fdupes $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/
%endif
# create breakpad debugsymbols
%if %crashreporter
SYMBOLS_NAME="xulrunner-%{version}-%{release}.%{_arch}-%{suse_version}-symbols"
make buildsymbols \
  SYMBOL_INDEX_NAME="$SYMBOLS_NAME.txt" \
  SYMBOL_ARCHIVE_BASENAME="$SYMBOLS_NAME"
if [ -e dist/*symbols.zip ]; then
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/mozilla/
  cp dist/*symbols.zip $RPM_BUILD_ROOT%{_datadir}/mozilla/
fi
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%if %localize
rm -rf %{_tmppath}/translations.*
%endif

%post
/usr/sbin/update-alternatives --install %{_bindir}/xulrunner \
  xulrunner %{_libdir}/xulrunner-%{apiversion}/xulrunner %{uaweight} || :
%{_libdir}/xulrunner-%{apiversion}/add-plugins.sh > /dev/null 2>&1
exit 0

%posttrans
# needed for updates which transition directory to symlink
%if 0%{?ga_version:1} 
test -d %{_libdir}/xulrunner-%{ga_version} && rm -rf %{_libdir}/xulrunner-%{ga_version}
ln -sf xulrunner-%{version_internal} %{_libdir}/xulrunner-%{ga_version}
%endif
[ -e %{_libdir}/xulrunner-%{version_internal}/add-plugins.sh ] && \
  %{_libdir}/xulrunner-%{version_internal}/add-plugins.sh > /dev/null 2>&1
exit 0

%preun
if [ "$1" = "0" ]; then # deinstallation
  # that's not quite nice since old versions should be removed on update as well
  # but that's problematic for updates w/o raising the version number
  /usr/sbin/update-alternatives --remove xulrunner %{_libdir}/xulrunner-%{apiversion}/xulrunner
fi
rm -f %{_libdir}/xulrunner-%{version_internal}/dictionaries/*
exit 0

%triggerin -- myspell-dictionary
%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- myspell-dictionary
%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh > /dev/null 2>&1
exit 0

%post gnome
touch %{_libdir}/xulrunner-%{version_internal}/.autoreg
exit 0

%files
%defattr(-,root,root)
%dir %{_libdir}/xulrunner-%{version_internal}/
%dir %{_libdir}/xulrunner-%{version_internal}/chrome/
%dir %{_libdir}/xulrunner-%{version_internal}/dictionaries/
%dir %{_libdir}/xulrunner-%{version_internal}/extensions/
%{_libdir}/xulrunner-%{version_internal}/chrome/classic.*
%{_libdir}/xulrunner-%{version_internal}/chrome/comm.*
%{_libdir}/xulrunner-%{version_internal}/chrome/en-US.*
%{_libdir}/xulrunner-%{version_internal}/chrome/pippki.*
%{_libdir}/xulrunner-%{version_internal}/chrome/toolkit.*
%{_libdir}/xulrunner-%{version_internal}/chrome/icons/
%{_libdir}/xulrunner-%{version_internal}/components/
%exclude %{_libdir}/xulrunner-%{version_internal}/components/libmozgnome.so
%exclude %{_libdir}/xulrunner-%{version_internal}/components/libnkgnomevfs.so
%{_libdir}/xulrunner-%{version_internal}/defaults/
%dir %{_libdir}/xulrunner-%{version_internal}/greprefs/
%{_libdir}/xulrunner-%{version_internal}/greprefs/all.js
%{_libdir}/xulrunner-%{version_internal}/greprefs/security-prefs.js
%{_libdir}/xulrunner-%{version_internal}/greprefs/xpinstall.js
%{_libdir}/xulrunner-%{version_internal}/greprefs/all-openSUSE.js
%{_libdir}/xulrunner-%{version_internal}/greprefs/lockdown.js
%{_libdir}/xulrunner-%{version_internal}/icons/
%{_libdir}/xulrunner-%{version_internal}/modules/
%{_libdir}/xulrunner-%{version_internal}/plugins/
%{_libdir}/xulrunner-%{version_internal}/res/
%{_libdir}/xulrunner-%{version_internal}/*.so
%exclude %{_libdir}/xulrunner-%{version_internal}/libmozjs.so
%{_libdir}/xulrunner-%{version_internal}/.autoreg
%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh
%{_libdir}/xulrunner-%{version_internal}/dependentlibs.list
%{_libdir}/xulrunner-%{version_internal}/mozilla-xremote-client
%if %plugincontainer
%{_libdir}/xulrunner-%{version_internal}/plugin-container
%endif
%{_libdir}/xulrunner-%{version_internal}/run-mozilla.sh
%{_libdir}/xulrunner-%{version_internal}/xulrunner
%{_libdir}/xulrunner-%{version_internal}/xulrunner-bin
%{_libdir}/xulrunner-%{version_internal}/xulrunner-stub
%{_libdir}/xulrunner-%{version_internal}/platform.ini
# crashreporter files
%if %crashreporter
%{_libdir}/xulrunner-%{version_internal}/crashreporter
%{_libdir}/xulrunner-%{version_internal}/crashreporter.ini
%{_libdir}/xulrunner-%{version_internal}/Throbber-small.gif
%endif
# ghosts
%ghost %{_libdir}/xulrunner-%{version_internal}/global.reginfo
%if %suse_version >= 1120
%ghost %{_bindir}/xulrunner
%endif
# GRE
%dir %{_sysconfdir}/gre.d/
%attr(644,root,root) %{_sysconfdir}/gre.d/*
# API symlink
%{_libdir}/xulrunner-%{apiversion}
# compat symlinks
%if 0%{?ga_version:1} 
%ghost %{_libdir}/xulrunner-%{ga_version}
%endif

%files -n mozilla-js192
%defattr(-,root,root)
%dir %{_libdir}/xulrunner-%{version_internal}/
%{_libdir}/xulrunner-%{apiversion}
%{_libdir}/xulrunner-%{version_internal}/libmozjs.so

%files devel
%defattr(-,root,root)
%{_libdir}/xulrunner-%{version_internal}/xpcshell
%{_libdir}/xulrunner-%{version_internal}/xpidl
%{_libdir}/xulrunner-%{version_internal}/xpt_dump
%{_libdir}/xulrunner-%{version_internal}/xpt_link
%{_libdir}/xulrunner-devel-%{version_internal}/
# FIXME symlink dynamic libs below sdk/lib
%attr(644,root,root) %{_libdir}/pkgconfig/*
%{_includedir}/xulrunner-%{version_internal}/
%{_datadir}/xulrunner-%{version_internal}/

%files gnome
%defattr(-,root,root)
%dir %{_libdir}/xulrunner-%{version_internal}/
%dir %{_libdir}/xulrunner-%{version_internal}/components/
%ghost %{_libdir}/xulrunner-%{version_internal}/.autoreg
%{_libdir}/xulrunner-%{version_internal}/components/libmozgnome.so
%{_libdir}/xulrunner-%{version_internal}/components/libnkgnomevfs.so

%if %localize

%files translations-common -f %{_tmppath}/translations.common
%defattr(-,root,root)
%dir %{_libdir}/xulrunner-%{version_internal}/
%dir %{_libdir}/xulrunner-%{version_internal}/chrome/

%files translations-other -f %{_tmppath}/translations.other
%defattr(-,root,root)
%dir %{_libdir}/xulrunner-%{version_internal}/
%dir %{_libdir}/xulrunner-%{version_internal}/chrome/
%endif

%if %crashreporter

%files buildsymbols
%defattr(-,root,root)
%{_datadir}/mozilla/
%endif

%changelog
* Tue Mar  6 2012 wr@rosenauer.org
- security update to 1.9.2.28 (bnc#750044)
  * MFSA 2011-55/CVE-2011-3658 (bmo#708186)
    nsSVGValue out-of-bounds access
  * MFSA 2012-13/CVE-2012-0455 (bmo#704354)
    XSS with Drag and Drop and Javascript: URL
  * MFSA 2012-14/CVE-2012-0456/CVE-2012-0457 (bmo#711653, #720103)
    SVG issues found with Address Sanitizer
  * MFSA 2012-16/CVE-2012-0458
    Escalation of privilege with Javascript: URL as home page
  * MFSA 2012-19/CVE-2012-0461/CVE-2012-0462/CVE-2012-0464/
    CVE-2012-0463
    Miscellaneous memory safety hazards
* Thu Feb 16 2012 wr@rosenauer.org
- security update to 1.9.2.27 (bnc#747328)
  * CVE-2011-3026 (bmo#727401)
    libpng: integer overflow leading to heap-buffer overflow
* Wed Jan 25 2012 wr@rosenauer.org
- security update to 1.9.2.26 (bnc#744275)
  * MFSA 2012-01/CVE-2012-0442/CVE-2012-0443
    Miscellaneous memory safety hazards
  * MFSA 2012-02/CVE-2011-3670 (bmo#504014)
  * MFSA 2012-04/CVE-2011-3659 (bmo#708198)
    Child nodes from nsDOMAttribute still accessible after removal
    of nodes
  * MFSA 2012-07/CVE-2012-0444 (bmo#719612)
    Potential Memory Corruption When Decoding Ogg Vorbis files
  * MFSA 2012-08/CVE-2012-0449 (bmo#701806, bmo#702466)
    Crash with malformed embedded XSLT stylesheets
* Sat Dec 17 2011 wr@rosenauer.org
- security update to 1.9.2.25 (bnc#737533)
  * MFSA 2011-59/CVE-2011-3666 (bmo#704622)
    .jar not treated as executable in Firefox 3.6 on Mac
* Tue Nov  1 2011 wr@rosenauer.org
- security update to 1.9.2.24 (bnc#728520)
  * MFSA 2011-46/CVE-2011-3647 (bmo#680880)
    loadSubScript unwraps XPCNativeWrapper scope parameter
  * MFSA 2011-47/CVE-2011-3648 (bmo#690225)
    Potential XSS against sites using Shift-JIS
  * MFSA 2011-49/CVE-2011-3650 (bmo#674776)
    Memory corruption while profiling using Firebug
* Wed Sep 21 2011 wr@rosenauer.org
- security update to 1.9.2.23 (bnc#720264)
  * MFSA 2011-36/CVE-2011-2996 (bmo#555018)
    Miscellaneous memory safety hazards
  * MFSA 2011-37/CVE-2011-2998 (bmo#684815)
    Integer underflow when using JavaScript RegExp
  * MFSA 2011-38/CVE-2011-2999 (bmo#665548)
    XSS via plugins and shadowed window.location object
  * MFSA 2011-39/CVE-2011-3000 (bmo#655389)
    Defense against multiple Location headers due to CRLF Injection
  * MFSA 2011-40/CVE-2011-2372/CVE-2011-3001
    Code installation through holding down Enter
- bring KDE's dialog.xml in sync with original widget
* Wed Sep 14 2011 wr@rosenauer.org
- add dbus-1-glib-devel to BuildRequires (not pulled in
  automatically with 12.1)
* Wed Sep  7 2011 pcerny@suse.com
- security update to 1.9.2.22 (bnc#714931)
  * Complete blocking of certificates issued by DigiNotar
    (bmo#683449)
* Fri Sep  2 2011 pcerny@suse.com
- security update to 1.9.2.21 (bnc#714931)
  * MFSA 2011-34
    Protection against fraudulent DigiNotar certificates
    (bmo#682927)
* Fri Aug  5 2011 wr@rosenauer.org
- security update to 1.9.2.20 (bnc#712224)
  fixed security issues MFSA 2011-30
  * CVE-2011-2982
    Miscellaneous memory safety hazards
  * CVE-2011-0084 (bmo#648094)
    Crash in SVGTextElement.getCharNumAtPosition()
  * CVE-2011-2981
    Privilege escalation using event handlers
  * CVE-2011-2378 (bmo#572129)
    Privilege escalation dropping a tab element in content area
  * CVE-2011-2980 (bmo#642469)
    Binary planting vulnerability in ThinkPadSensor::Startup
  * CVE-2011-2983 (bmo#626297)
    Private data leakage using RegExp.input
- added mozilla-implicit-declarations.patch to fix rpmlint/gcc
  checks
- added mozilla-curl.patch to remove obsolete header dependency
- added mozilla-linux3.patch to make python symbol dumper aware
  of the "linux3" platform
* Mon Jun 20 2011 wr@rosenauer.org
- security update to 1.9.2.18 (bnc#701296)
  * MFSA 2011-19/CVE-2011-2374 CVE-2011-2376 CVE-2011-2364
    CVE-2011-2365
    Miscellaneous memory safety hazards
  * MFSA 2011-20/CVE-2011-2373 (bmo#617247)
    Use-after-free vulnerability when viewing XUL document with
    script disabled
  * MFSA 2011-21/CVE-2011-2377 (bmo#638018, bmo#639303)
    Memory corruption due to multipart/x-mixed-replace images
  * MFSA 2011-22/CVE-2011-2371 (bmo#664009)
    Integer overflow and arbitrary code execution in
    Array.reduceRight()
  * MFSA 2011-23/CVE-2011-0083 CVE-2011-0085 CVE-2011-2363
    Multiple dangling pointer vulnerabilities
  * MFSA 2011-24/CVE-2011-2362 (bmo#616264)
    Cookie isolation error
- speedier find-external-requires.sh
- do not build dump_syms static as it is not needed for us
  - > fixes build for 12.1 and above
* Wed May 11 2011 cgiboudeaux@gmx.com
- Add mozilla-gcc46.patch. Fixes various build errors with GCC4.6
* Thu Apr 21 2011 wr@rosenauer.org
- security update to 1.9.2.17 (bnc#689281)
  * MFSA 2011-12/ CVE-2011-0069 CVE-2011-0070 CVE-2011-0072
    CVE-2011-0074 CVE-2011-0075 CVE-2011-0077 CVE-2011-0078
    CVE-2011-0080 CVE-2011-0081
    Miscellaneous memory safety hazards
  * MFSA 2011-13/CVE-2011-0065/CVE-2011-0066/CVE-2011-0073
    Multiple dangling pointer vulnerabilities
  * MFSA 2011-14/CVE-2011-0067 (bmo#527935)
    Information stealing via form history
  * MFSA 2011-18/CVE-2011-1202 (bmo#640339)
    XSLT generate-id() function heap address leak
* Mon Mar 28 2011 llunak@novell.com
- fix 'save as' with KDE integration (bnc#557598)
* Sat Mar 19 2011 wr@rosenauer.org
- security update to 1.9.2.16 (bnc#680771)
  * MFSA 2011-11
    Update HTTPS certificate blacklist (bmo#642395)
* Fri Mar  4 2011 wr@rosenauer.org
- update to 1.9.2.15
  * fix a regression introduced with previous update affecting
    Java applet integration (bmo#629030)
* Wed Mar  2 2011 pcerny@novell.com
- use full path to the ntlm_auth binary (bmo#634334)
  (mozilla-ntlm-full-path.patch)
* Tue Feb 22 2011 wr@rosenauer.org
- security update to 1.9.2.14 (build3) (bnc#667155)
  * MFSA 2011-01/CVE-2011-0053/CVE-2011-0062
    Miscellaneous memory safety hazards (rv:1.9.2.14/ 1.9.1.17)
  * MFSA 2011-02/CVE-2011-0051 (bmo#616659)
    Recursive eval call causes confirm dialogs to evaluate to true
  * MFSA 2011-03/CVE-2011-0055 (bmo#616009, bmo#619255)
    Use-after-free error in JSON.stringify
  * MFSA 2011-04/CVE-2011-0054 (bmo#615657)
    Buffer overflow in JavaScript upvarMap
  * MFSA 2011-05/CVE-2011-0056 (bmo#622015)
    Buffer overflow in JavaScript atom map
  * MFSA 2011-06/CVE-2011-0057 (bmo#626631)
    Use-after-free error using Web Workers
  * MFSA 2011-08/CVE-2010-1585 (bmo#562547)
    ParanoidFragmentSink allows javascript: URLs in chrome documents
  * MFSA 2011-09/CVE-2011-0061 (bmo#610601)
    Crash caused by corrupted JPEG image
  * MFSA 2011-10/CVE-2011-0059 (bmo#573873)
    CSRF risk with plugins and 307 redirects
* Thu Nov 25 2010 wr@rosenauer.org
- security update to 1.9.2.13 (bnc#657016)
  * MFSA 2010-74/CVE-2010-3776/CVE-2010-3777/CVE-2010-3778
    Miscellaneous memory safety hazards (rv:1.9.2.13/ 1.9.1.16)
  * MFSA 2010-75/CVE-2010-3769 (bmo#608336)
    Buffer overflow while line breaking after document.write with
    long string
  * MFSA 2010-76/CVE-2010-3771 (bmo#609437)
    Chrome privilege escalation with window.open and <isindex> element
  * MFSA 2010-77/CVE-2010-3772 (bmo#594547)
    Crash and remote code execution using HTML tags inside a XUL tree
  * MFSA 2010-78/CVE-2010-3768 (bmo#527276)
    Add support for OTS font sanitizer
  * MFSA 2010-79/CVE-2010-3775
    Java security bypass from LiveConnect loaded via data: URL
    meta refresh
  * MFSA 2010-80/CVE-2010-3766 (bmo#590771)
    Use-after-free error with nsDOMAttribute MutationObserver
  * MFSA 2010-81/CVE-2010-3767 (bmo#599468)
    Integer overflow vulnerability in NewIdArray
  * MFSA 2010-82/CVE-2010-3773 (bmo#554449)
    Incomplete fix for CVE-2010-0179
  * MFSA 2010-83/VE-2010-3774 (bmo#602780)
    Location bar SSL spoofing using network error page
  * MFSA 2010-84/CVE-2010-3770 (bmo#601429)
    XSS hazard in multiple character encodings
* Wed Oct 27 2010 wr@rosenauer.org
- security update to 1.9.2.12 (bnc#649492)
  * MFSA 2010-73/CVE-2010-3765 (bmo#607222)
    Heap buffer overflow mixing document.write and DOM insertion
- ignore empty LANGUAGE environment variable (bnc#648854)
* Wed Oct  6 2010 wr@rosenauer.org
- security update to 1.9.2.11 (bnc#645315)
  * MFSA 2010-64/CVE-2010-3174/CVE-2010-3175/CVE-2010-3176
    Miscellaneous memory safety hazards
  * MFSA 2010-65/CVE-2010-3179 (bmo#583077)
    Buffer overflow and memory corruption using document.write
  * MFSA 2010-66/CVE-2010-3180 (bmo#588929)
    Use-after-free error in nsBarProp
  * MFSA 2010-67/CVE-2010-3183 (bmo#598669)
    Dangling pointer vulnerability in LookupGetterOrSetter
  * MFSA 2010-68/CVE-2010-3177 (bmo#556734)
    XSS in gopher parser when parsing hrefs
  * MFSA 2010-69/CVE-2010-3178 (bmo#576616)
    Cross-site information disclosure via modal calls
  * MFSA 2010-70/CVE-2010-3170 (bmo#578697)
    SSL wildcard certificate matching IP addresses
  * MFSA 2010-71/CVE-2010-3182 (bmo#590753)
    Unsafe library loading vulnerabilities
  * MFSA 2010-72/CVE-2010-3173
    Insecure Diffie-Hellman key exchange
- removed upstreamed patches:
  * mozilla-esd.patch
  * mozilla-helper-app.patch
- build and runtime requirement is NSS 3.12.8
* Wed Sep 15 2010 wr@rosenauer.org
- update to 1.9.2.10
  * fixing startup topcrash (bmo#594699)
* Mon Aug 30 2010 wr@rosenauer.org
- security update to 1.9.2.9 (bnc#637303)
  * MFSA 2010-49/CVE-2010-3169
    Miscellaneous memory safety hazards
  * MFSA 2010-50/CVE-2010-2765 (bmo#576447)
    Frameset integer overflow vulnerability
  * MFSA 2010-51/CVE-2010-2767 (bmo#584512)
    Dangling pointer vulnerability using DOM plugin array
  * MFSA 2010-53/CVE-2010-3166 (bmo#579655)
    Heap buffer overflow in nsTextFrameUtils::TransformText
  * MFSA 2010-54/CVE-2010-2760 (bmo#585815)
    Dangling pointer vulnerability in nsTreeSelection
  * MFSA 2010-55/CVE-2010-3168 (bmo#576075)
    XUL tree removal crash and remote code execution
  * MFSA 2010-56/CVE-2010-3167 (bmo#576070)
    Dangling pointer vulnerability in nsTreeContentView
  * MFSA 2010-57/CVE-2010-2766 (bmo#580445)
    Crash and remote code execution in normalizeDocument
  * MFSA 2010-59/CVE-2010-2762 (bmo#584180)
    SJOW creates scope chains ending in outer object
  * MFSA 2010-61/CVE-2010-2768 (bmo#579744)
    UTF-7 XSS by overriding document charset using <object> type
    attribute
  * MFSA 2010-62/CVE-2010-2769 (bmo#520189)
    Copy-and-paste or drag-and-drop into designMode document allows
    XSS
  * MFSA 2010-63/CVE-2010-2764 (bmo#552090)
    Information leak via XMLHttpRequest statusText
- honor LANGUAGE environment variable for UI locale (bmo#583793)
- fixed compilation against NSPR < 4.8.6 (mozilla-prlog.patch)
  (bmo#567620)
* Mon Aug 30 2010 wr@rosenauer.org
- fixed build with latest Gnome in Factory
  (mozilla-gdk-pixbuf.patch
* Wed Jul 28 2010 wr@rosenauer.org
- fixed sound notifications through libesd (bmo#579877)
- updated libproxy implementation after upstream review (bmo#517655)
- added lcd filter patch for internal cairo
* Tue Jul 27 2010 meissner@suse.de
- disable ipc and crashreport for ia64,ppc,ppc64,s390,s390x.
* Sat Jul 24 2010 wr@rosenauer.org
- security update to 1.9.2.8 (bnc#622506)
  * MFSA 2010-48/CVE-2010-2755 (bmo#575836)
    Dangling pointer crash regression from plugin parameter array
    fix
* Thu Jul 15 2010 wr@rosenauer.org
- security update to 1.9.2.7 (bnc#622506)
  * MFSA 2010-34/CVE-2010-1211/CVE-2010-1212
    Miscellaneous memory safety hazards
  * MFSA 2010-35/CVE-2010-1208 (bmo#572986)
    DOM attribute cloning remote code execution vulnerability
  * MFSA 2010-36/CVE-2010-1209 (bmo#552110)
    Use-after-free error in NodeIterator
  * MFSA 2010-37/CVE-2010-1214 (bmo#572985)
    Plugin parameter EnsureCachedAttrParamArrays remote code
    execution vulnerability
  * MFSA 2010-38/CVE-2010-1215 (bmo#567069)
    Arbitrary code execution using SJOW and fast native function
  * MFSA 2010-39/CVE-2010-2752 (bmo#574059)
    nsCSSValue::Array index integer overflow
  * MFSA 2010-40/CVE-2010-2753 (bmo#571106)
    nsTreeSelection dangling pointer remote code execution
    vulnerability
  * MFSA 2010-41/CVE-2010-1205 (bmo#570451)
    Remote code execution using malformed PNG image
  * MFSA 2010-42/CVE-2010-1213 (bmo#568148)
    Cross-origin data disclosure via Web Workers and importScripts
  * MFSA 2010-43/CVE-2010-1207 (bmo#571287)
    Same-origin bypass using canvas context
  * MFSA 2010-44/CVE-2010-1210 (bmo#564679)
    Characters mapped to U+FFFD in 8 bit encodings cause subsequent
    character to vanish
  * MFSA 2010-45/CVE-2010-1206/CVE-2010-2751 (bmo#536466,556957)
    Multiple location bar spoofing vulnerabilities
  * MFSA 2010-46/CVE-2010-0654 (bmo#524223)
    Cross-domain data theft using CSS
  * MFSA 2010-47/CVE-2010-2754 (bmo#568564)
    Cross-origin data leakage from script filename in error messages
* Sun Jun 27 2010 wr@rosenauer.org
- update to 1.9.2.6 release
  * modifies the crash protection feature to increase the amount
    of time that plugins are allowed to be non-responsive before
    being terminated.
- require exact matching version of mozilla-js192
* Wed Jun 23 2010 wr@rosenauer.org
- update to final 1.9.2.4 release (bnc#603356)
  * MFSA 2010-26/CVE-2010-1200/CVE-2010-1201/CVE-2010-1202/
    CVE-2010-1203
    Crashes with evidence of memory corruption (rv:1.9.2.4)
  * MFSA 2010-28/CVE-2010-1198 (bmo#532246)
    Freed object reuse across plugin instances
  * MFSA 2010-29/CVE-2010-1196 (bmo#534666)
    Heap buffer overflow in nsGenericDOMDataNode::SetTextInternal
  * MFSA 2010-30/CVE-2010-1199 (bmo#554255)
    Integer Overflow in XSLT Node Sorting
  * MFSA 2010-31/CVE-2010-1125 (bmo#552255)
    focus() behavior can be used to inject or steal keystrokes
  * MFSA 2010-32/CVE-2010-1197 (bmo#537120)
    Content-Disposition: attachment ignored if
    Content-Type: multipart also present
  * MFSA 2010-33/CVE-2008-5913 (bmo#475585)
    User tracking across sites using Math.random()
* Mon Jun  7 2010 wr@rosenauer.org
- update to 1.9.2.4(build6)
* Tue May  4 2010 wr@rosenauer.org
- security update to 1.9.2.4 (Lorentz)
  * enable crashreporter also for x86-64
  * provide mozilla-runtime to host NPAPI out of process plugins
- removed libproxy debug message (bnc#604711)
* Mon Apr 26 2010 wr@rosenauer.org
- point alternatives link to the stable version to improve
  robustness (bnc#589037)
* Sat Apr 24 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Thu Apr  1 2010 wr@rosenauer.org
- security update to 1.9.2.3
  * MFSA 2010-25/CVE-2010-1121 (bmo#555109)
    Re-use of freed object due to scope confusion
* Thu Mar 25 2010 wr@rosenauer.org
- security update to 1.9.2.2 (bnc#586567)
  * MFSA 2010-08/CVE-2010-1028
    WOFF heap corruption due to integer overflow
  * MFSA 2010-09/CVE-2010-0164 (bmo#547143)
    Deleted frame reuse in multipart/x-mixed-replace image
  * MFSA 2010-10/CVE-2010-0170 (bmo#541530)
    XSS via plugins and unprotected Location object
  * MFSA 2010-11/CVE-2010-0165/CVE-2010-0166/CVE-2010-0167
    Crashes with evidence of memory corruption
  * MFSA 2010-12/CVE-2010-0171 (bmo#531364)
    XSS using addEventListener and setTimeout on a wrapped object
  * MFSA 2010-13/CVE-2010-0168 (bmo#540642)
    Content policy bypass with image preloading
  * MFSA 2010-14/CVE-2010-0169 (bmo#535806)
    Browser chrome defacement via cached XUL stylesheets
  * MFSA 2010-15/CVE-2010-0172 (bmo#537862)
    Asynchronous Auth Prompt attaches to wrong window
  * MFSA 2010-16/CVE-2010-0173/CVE-2010-0174
    Crashes with evidence of memory corruption
  * MFSA 2010-18/CVE-2010-0176 (bmo#538308)
    Dangling pointer vulnerability in nsTreeContentView
  * MFSA 2010-19/CVE-2010-0177 (bmo#538310)
    Dangling pointer vulnerability in nsPluginArray
  * MFSA 2010-20/CVE-2010-0178 (bmo#546909)
    Chrome privilege escalation via forced URL drag and drop
  * MFSA 2010-22/CVE-2009-3555 (bmo#545755)
    Update NSS to support TLS renegotiation indication
  * MFSA 2010-23/CVE-2010-0181 (bmo#452093)
    Image src redirect to mailto: URL opens email editor
  * MFSA 2010-24/CVE-2010-0182 (bmo#490790)
    XMLDocument::load() doesn't check nsIContentPolicy
- general.useragent.locale in profile overrides
  intl.locale.matchOS (bmo#542999)
- split mozilla-js192 package which contains libmozjs only
  to allow its installation w/o all GUI dependencies
* Mon Jan 18 2010 wr@rosenauer.org
- update to 1.9.2rc2
- add update-alternatives %%ghost file to filelist starting
  with 11.2 (%%ghost files are conflicting in earlier versions)
- fixed mozilla-plugin.pc (remove obsolete stable reference)
* Wed Jan  6 2010 wr@rosenauer.org
- update to 1.9.2rc1
  * removed obsolete mozilla-breakpad.patch
- expand -translations-* and -gnome filelists to clean up the
  filesystem for upgrades and removals correctly
- enable crashreporter and create breakpad buildsymbols package
  for mozilla crashreporter (for ix86)
- drop PreReq usage by cleaning up the different Requires tags
* Thu Dec 24 2009 wr@rosenauer.org
- update to 1.9.2b5
- removed upstreamed mozilla-abi.patch
- integrated mozilla-kde.patch
- use .autoreg file for autoregistration when needed (bnc#440872)
- enable libproxy support from 11.2 on
- renamed -gnomevfs subpackage to -gnome
- readded lockdown patches and preferences
- fix baselibs.conf
* Tue Nov 10 2009 wr@rosenauer.org
- update to 1.9.2b2
- merge from xulrunner191 package
* Sun Nov  1 2009 wr@rosenauer.org
- update to 1.9.2b1
- use newer internal cairo for 11.1 and older
* Sun Oct 18 2009 wr@rosenauer.org
- reworked PreReq list
* Fri Oct 16 2009 wr@rosenauer.org
- update to snapshot 1.9.2b2pre (20091015)
  (entering beta phase)
* Mon Sep 21 2009 wr@rosenauer.org
- BuildRequire libiw-devel instead of wireless-tools from 11.2 on
* Wed Sep 16 2009 wr@rosenauer.org
- new snapshot (20090916)
* Mon Aug 24 2009 wr@rosenauer.org
- first alpha package of XULRunner 1.9.2
